For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Us
API ReferenceDeveloper Guides
API ReferenceDeveloper Guides
    • Getting Started
  • Customer Data API
  • Transaction Data API
      • GETCheck if a transaction check exists
      • POSTAdd new transaction check(s)
      • PUTUpdate an existing transaction check
Contact Us
LogoLogo
Transaction Data APIChecks

Add new transaction check(s)

POST
https://transaction-api.cable.tech/transaction_check
POST
/transaction_check
$curl -X POST https://transaction-api.cable.tech/transaction_check \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "check_id": "chk_9f8b7c6d5e4a3b2c1d0e",
> "timestamp": "2024-01-15T09:30:00Z"
> }
>]'
1{
2 "check_id": "chk_9f8b7c6d5e4a3b2c1d0e",
3 "timestamp": "2024-01-15T09:30:00Z",
4 "status": "PENDING",
5 "type": "INLINE_MONITORING",
6 "related_tx_id": "tx_4a3b2c1d0e9f8b7c6d5e",
7 "additional_properties": [
8 {
9 "key": "location",
10 "value": "New York Branch",
11 "type": "STRING",
12 "description": "Branch location where the transaction was initiated"
13 }
14 ]
15}
Was this page helpful?
Previous

Update an existing transaction check

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Transaction check data to add.
check_idstringRequired
Unique identifier for a monitoring check belonging to a transaction. This is the primary key for a transaction check and should be unique across all transaction checks. Updates to a transaction check should be made using this identifier.
statusenumRequired
Allowed values:
typeenumRequired
The type of monitoring check that is being performed.
Allowed values:
timestampdatetimeRequired
The time of the transaction check. This should be in ISO 8601 format. When adding a new transaction check, this field represents the creation time. When updating a transaction check, this represents the time of the update.
related_tx_idstringOptional
Unique identifier for the transaction for which the check is related to.
additional_propertieslist of objectsOptional
Additional metadata that relates to a transaction check.

Response

Transaction check added successfully
check_idstring
Unique identifier for a monitoring check belonging to a transaction. This is the primary key for a transaction check and should be unique across all transaction checks. Updates to a transaction check should be made using this identifier.
timestampdatetime
The time of the transaction check. This should be in ISO 8601 format. When adding a new transaction check, this field represents the creation time. When updating a transaction check, this represents the time of the update.
statusenum
Allowed values:
typeenum
The type of monitoring check that is being performed.
Allowed values:
related_tx_idstring
Unique identifier for the transaction for which the check is related to.
additional_propertieslist of objects
Additional metadata that relates to a transaction check.

Errors

400
Bad Request Error
401
Unauthorized Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error